Jump to content

Recommended Posts

Hi Christoph,

Sorry, but this has nothing to do with this addon other than that you are using the hook to add some different custom coding.

Share this post


Link to post
Share on other sites

You could create your own topic and provide more info:

  • What you are trying
  • Code you have already added

Share this post


Link to post
Share on other sites

Hi @gsmiley007,

For sure it needs to be updated:

Quote

Compatibility:
Phoenix 1.0.7.7+
Tested with Phoenix 1.0.7.9

I believe this will happen for the  1.0.8.0 release.

Edited by raiwa

Share this post


Link to post
Share on other sites
1 minute ago, gsmiley007 said:

ok, thanks, so it's a code issue  rather than something i did wrong.

 

If you have the store module installed, I suppose yes. I haven’t tested yet under 1.0.7.14

Share this post


Link to post
Share on other sites

I copied all the plugin code to the directories. then when I went to the store to install, i got the message saying that i need that taxPrice sitewide hook.  

I didn't install it.  but when I when to the customer side, it gave me those errors i listed above

Share this post


Link to post
Share on other sites
6 minutes ago, gsmiley007 said:

I copied all the plugin code to the directories. then when I went to the store to install, i got the message saying that i need that taxPrice sitewide hook.  

I didn't install it.  but when I when to the customer side, it gave me those errors i listed above

You need to install the store module, that's why the errors on the shop side are displaying.

The error in the store module may show if  you are using another than the default template. Just ignore it or make a copy of the hook into the template you are using.

 

Instructions:

2. Copy the following new folder and included files from the "Upload" folder:
........................
[catalog]templates/default[or_your_template_name]/includes/hooks/shop/siteWide/priceTax.php


3. Point your browser to your Admin:
   
Admin > Modules > Store:
Install Module: Tax below Price

 

Edited by raiwa

Share this post


Link to post
Share on other sites

Share this post


Link to post
Share on other sites

Once in included tax in price.  I got this.

image.thumb.png.ff9810288683fe9f87344576fc87781a.png

 

I think i might have misunderstood  what this module does.   

If i understand correctly, it will tell you the % of tax that is included in the price correct?

Share this post


Link to post
Share on other sites
8 hours ago, gsmiley007 said:

If i understand correctly, it will tell you the % of tax that is included in the price correct?

Instructions and APp description:

What does this version do:

It will display the following below the price on each page included in the module:

1. If the tax value of the displayed price is = 0:
    Shows: "VAT excl." or any other text you define in the language file

2. If the tax value of the displayed price is not = 0:
    Shows: "XX% VAT incl." or any other text you define in the language file
    Where XX is the value of the tax in percentage as defined in admin/tax rates

 

Meanwhile, in Phoenix 1.0.7.14 the by default selected template has been changed from "default" to "override". That's why you get the error in the store module.

Just copy the hook (including directory structure) into the "override" template or select the "default" template in Admin : My Store: Template Selection and the error will not show any more.

 

You should begin to read more careful the provided information in the instructions/descriptions to avoid unnecesary help requests.

Edited by raiwa

Share this post


Link to post
Share on other sites

Hi Rainer,

as i was struggling with reviews write I noticed that on the write page the module is not active and can not get activated.

Which I think is a result of the scan for pages function which does not include ext/modules files like the write.php there.

Best regards

Christoph

Share this post


Link to post
Share on other sites

I'll have a look for the next update, but anyway think it's not really important on that page 🙂

Share this post


Link to post
Share on other sites

osCommerce Online Merchant v2.3.4.1 CE
PHP Version 7.3.33

When I install the module the site stops working.
In error_log I get an error

PHP Fatal error:  Cannot declare class currencies_mod, because the name is already in use in .../includes/modules/bootstrap/bt_price_display.php on line 63
 

Is this possible to solve in some way
I need in addition to the price without VAT to show me the price with VAT and what is the xx% VAT

Share this post


Link to post
Share on other sites

@raiwa

Can you help me

osCommerce Online Merchant v2.3.4.1 CE
PHP Version:    7.2.34 (Zend: 3.2.0)
Display_tax_info_V3.5
PHP Fatal error:  Cannot declare class currencies_mod, because the name is already in use in /../includes/modules/bootstrap/bt_price_display.php on line 63
Return http error 500
 

http_error_500.jpg

bt_price_display.php

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×